Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# AuxSceneData Class Reference

This is a base class for a generic data structure that can be attached per-instance to the camera, to store per-instance data that must be preserved over multiple frames. More...

Inheritance diagram for AuxSceneData:

List of all members.

## Public Member Functions
double | getDuration ()
| Returns the minimum length in time, in seconds, to keep this AuxSceneData object around in the scene graph after the last time it was rendered.
double | getExpirationTime ()
| Returns the frame_time at which this AuxSceneData object is currently scheduled to be removed from the scene graph.
double | getLastRenderTime ()
| Returns the last time this object was used during traversal (according to set_last_render_time()).
| output (ostream out)
| setDuration (double duration)
| Specifies the minimum length in time, in seconds, to keep this AuxSceneData object around in the scene graph after the last time it was rendered.
| setLastRenderTime (double render_time)
| Should be called with the current frame_time each time the AuxSceneData is used during traversal.
| write (ostream out, int indent_level)
| write (ostream out)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a base class for a generic data structure that can be attached per-instance to the camera, to store per-instance data that must be preserved over multiple frames.

In particular, this is used to implement the FadeLODNode, which must remember during traversal at what point it is in the fade, separately for each instance and for each camera.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedReferenceCount.

double getDuration | ( |  | ) |

Returns the minimum length in time, in seconds, to keep this AuxSceneData object around in the scene graph after the last time it was rendered.

double getExpirationTime | ( |  | ) |

Returns the frame_time at which this AuxSceneData object is currently scheduled to be removed from the scene graph.

double getLastRenderTime | ( |  | ) |

Returns the last time this object was used during traversal (according to set_last_render_time()).

output | ( | ostream | out | ) |

setDuration | ( | double | duration | ) |

Specifies the minimum length in time, in seconds, to keep this AuxSceneData object around in the scene graph after the last time it was rendered.

setLastRenderTime | ( | double | render_time | ) |

Should be called with the current frame_time each time the AuxSceneData is used during traversal.

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties